CSS.Attribute (Java Platform SE 8 )
Keywords: javax.swing.text.html.CSS.Attribute class
Date: 2015-05-24

javax.swing.text.html

## Class CSS.Attribute

- java.lang.Object
- - javax.swing.text.html.CSS.Attribute

- Enclosing class:
    CSS

      public static final class CSS.Attribute
      extends Object

  Definitions to be used as a key on AttributeSet's that might hold CSS attributes. Since this is a closed set (i.e. defined exactly by the specification), it is final and cannot be extended.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CSS.Attribute` | `BACKGROUND`
    `static CSS.Attribute` | `BACKGROUND_ATTACHMENT`
    `static CSS.Attribute` | `BACKGROUND_COLOR`
    `static CSS.Attribute` | `BACKGROUND_IMAGE`
    `static CSS.Attribute` | `BACKGROUND_POSITION`
    `static CSS.Attribute` | `BACKGROUND_REPEAT`
    `static CSS.Attribute` | `BORDER`
    `static CSS.Attribute` | `BORDER_BOTTOM`
    `static CSS.Attribute` | `BORDER_BOTTOM_COLOR`
    `static CSS.Attribute` | `BORDER_BOTTOM_STYLE`
    `static CSS.Attribute` | `BORDER_BOTTOM_WIDTH`
    `static CSS.Attribute` | `BORDER_COLOR`
    `static CSS.Attribute` | `BORDER_LEFT`
    `static CSS.Attribute` | `BORDER_LEFT_COLOR`
    `static CSS.Attribute` | `BORDER_LEFT_STYLE`
    `static CSS.Attribute` | `BORDER_LEFT_WIDTH`
    `static CSS.Attribute` | `BORDER_RIGHT`
    `static CSS.Attribute` | `BORDER_RIGHT_COLOR`
    `static CSS.Attribute` | `BORDER_RIGHT_STYLE`
    `static CSS.Attribute` | `BORDER_RIGHT_WIDTH`
    `static CSS.Attribute` | `BORDER_STYLE`
    `static CSS.Attribute` | `BORDER_TOP`
    `static CSS.Attribute` | `BORDER_TOP_COLOR`
    `static CSS.Attribute` | `BORDER_TOP_STYLE`
    `static CSS.Attribute` | `BORDER_TOP_WIDTH`
    `static CSS.Attribute` | `BORDER_WIDTH`
    `static CSS.Attribute` | `CLEAR`
    `static CSS.Attribute` | `COLOR`
    `static CSS.Attribute` | `DISPLAY`
    `static CSS.Attribute` | `FLOAT`
    `static CSS.Attribute` | `FONT`
    `static CSS.Attribute` | `FONT_FAMILY`
    `static CSS.Attribute` | `FONT_SIZE`
    `static CSS.Attribute` | `FONT_STYLE`
    `static CSS.Attribute` | `FONT_VARIANT`
    `static CSS.Attribute` | `FONT_WEIGHT`
    `static CSS.Attribute` | `HEIGHT`
    `static CSS.Attribute` | `LETTER_SPACING`
    `static CSS.Attribute` | `LINE_HEIGHT`
    `static CSS.Attribute` | `LIST_STYLE`
    `static CSS.Attribute` | `LIST_STYLE_IMAGE`
    `static CSS.Attribute` | `LIST_STYLE_POSITION`
    `static CSS.Attribute` | `LIST_STYLE_TYPE`
    `static CSS.Attribute` | `MARGIN`
    `static CSS.Attribute` | `MARGIN_BOTTOM`
    `static CSS.Attribute` | `MARGIN_LEFT`
    `static CSS.Attribute` | `MARGIN_RIGHT`
    `static CSS.Attribute` | `MARGIN_TOP`
    `static CSS.Attribute` | `PADDING`
    `static CSS.Attribute` | `PADDING_BOTTOM`
    `static CSS.Attribute` | `PADDING_LEFT`
    `static CSS.Attribute` | `PADDING_RIGHT`
    `static CSS.Attribute` | `PADDING_TOP`
    `static CSS.Attribute` | `TEXT_ALIGN`
    `static CSS.Attribute` | `TEXT_DECORATION`
    `static CSS.Attribute` | `TEXT_INDENT`
    `static CSS.Attribute` | `TEXT_TRANSFORM`
    `static CSS.Attribute` | `VERTICAL_ALIGN`
    `static CSS.Attribute` | `WHITE_SPACE`
    `static CSS.Attribute` | `WIDTH`
    `static CSS.Attribute` | `WORD_SPACING`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultValue()` Fetch the default value for the attribute.
    `boolean` | `isInherited()` Indicates if the attribute should be inherited from the parent or not.
    `String` | `toString()` The string representation of the attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BACKGROUND

          public static final CSS.Attribute BACKGROUND

    - #### BACKGROUND_ATTACHMENT

          public static final CSS.Attribute BACKGROUND_ATTACHMENT

    - #### BACKGROUND_COLOR

          public static final CSS.Attribute BACKGROUND_COLOR

    - #### BACKGROUND_IMAGE

          public static final CSS.Attribute BACKGROUND_IMAGE

    - #### BACKGROUND_POSITION

          public static final CSS.Attribute BACKGROUND_POSITION

    - #### BACKGROUND_REPEAT

          public static final CSS.Attribute BACKGROUND_REPEAT

    - #### BORDER

          public static final CSS.Attribute BORDER

    - #### BORDER_BOTTOM

          public static final CSS.Attribute BORDER_BOTTOM

    - #### BORDER_BOTTOM_COLOR

          public static final CSS.Attribute BORDER_BOTTOM_COLOR

    - #### BORDER_BOTTOM_STYLE

          public static final CSS.Attribute BORDER_BOTTOM_STYLE

    - #### BORDER_BOTTOM_WIDTH

          public static final CSS.Attribute BORDER_BOTTOM_WIDTH

    - #### BORDER_COLOR

          public static final CSS.Attribute BORDER_COLOR

    - #### BORDER_LEFT

          public static final CSS.Attribute BORDER_LEFT

    - #### BORDER_LEFT_COLOR

          public static final CSS.Attribute BORDER_LEFT_COLOR

    - #### BORDER_LEFT_STYLE

          public static final CSS.Attribute BORDER_LEFT_STYLE

    - #### BORDER_LEFT_WIDTH

          public static final CSS.Attribute BORDER_LEFT_WIDTH

    - #### BORDER_RIGHT

          public static final CSS.Attribute BORDER_RIGHT

    - #### BORDER_RIGHT_COLOR

          public static final CSS.Attribute BORDER_RIGHT_COLOR

    - #### BORDER_RIGHT_STYLE

          public static final CSS.Attribute BORDER_RIGHT_STYLE

    - #### BORDER_RIGHT_WIDTH

          public static final CSS.Attribute BORDER_RIGHT_WIDTH

    - #### BORDER_STYLE

          public static final CSS.Attribute BORDER_STYLE

    - #### BORDER_TOP

          public static final CSS.Attribute BORDER_TOP

    - #### BORDER_TOP_COLOR

          public static final CSS.Attribute BORDER_TOP_COLOR

    - #### BORDER_TOP_STYLE

          public static final CSS.Attribute BORDER_TOP_STYLE

    - #### BORDER_TOP_WIDTH

          public static final CSS.Attribute BORDER_TOP_WIDTH

    - #### BORDER_WIDTH

          public static final CSS.Attribute BORDER_WIDTH

    - #### CLEAR

          public static final CSS.Attribute CLEAR

    - #### COLOR

          public static final CSS.Attribute COLOR

    - #### DISPLAY

          public static final CSS.Attribute DISPLAY

    - #### FLOAT

          public static final CSS.Attribute FLOAT

    - #### FONT

          public static final CSS.Attribute FONT

    - #### FONT_FAMILY

          public static final CSS.Attribute FONT_FAMILY

    - #### FONT_SIZE

          public static final CSS.Attribute FONT_SIZE

    - #### FONT_STYLE

          public static final CSS.Attribute FONT_STYLE

    - #### FONT_VARIANT

          public static final CSS.Attribute FONT_VARIANT

    - #### FONT_WEIGHT

          public static final CSS.Attribute FONT_WEIGHT

    - #### HEIGHT

          public static final CSS.Attribute HEIGHT

    - #### LETTER_SPACING

          public static final CSS.Attribute LETTER_SPACING

    - #### LINE_HEIGHT

          public static final CSS.Attribute LINE_HEIGHT

    - #### LIST_STYLE

          public static final CSS.Attribute LIST_STYLE

    - #### LIST_STYLE_IMAGE

          public static final CSS.Attribute LIST_STYLE_IMAGE

    - #### LIST_STYLE_POSITION

          public static final CSS.Attribute LIST_STYLE_POSITION

    - #### LIST_STYLE_TYPE

          public static final CSS.Attribute LIST_STYLE_TYPE

    - #### MARGIN

          public static final CSS.Attribute MARGIN

    - #### MARGIN_BOTTOM

          public static final CSS.Attribute MARGIN_BOTTOM

    - #### MARGIN_LEFT

          public static final CSS.Attribute MARGIN_LEFT

    - #### MARGIN_RIGHT

          public static final CSS.Attribute MARGIN_RIGHT

    - #### MARGIN_TOP

          public static final CSS.Attribute MARGIN_TOP

    - #### PADDING

          public static final CSS.Attribute PADDING

    - #### PADDING_BOTTOM

          public static final CSS.Attribute PADDING_BOTTOM

    - #### PADDING_LEFT

          public static final CSS.Attribute PADDING_LEFT

    - #### PADDING_RIGHT

          public static final CSS.Attribute PADDING_RIGHT

    - #### PADDING_TOP

          public static final CSS.Attribute PADDING_TOP

    - #### TEXT_ALIGN

          public static final CSS.Attribute TEXT_ALIGN

    - #### TEXT_DECORATION

          public static final CSS.Attribute TEXT_DECORATION

    - #### TEXT_INDENT

          public static final CSS.Attribute TEXT_INDENT

    - #### TEXT_TRANSFORM

          public static final CSS.Attribute TEXT_TRANSFORM

    - #### VERTICAL_ALIGN

          public static final CSS.Attribute VERTICAL_ALIGN

    - #### WORD_SPACING

          public static final CSS.Attribute WORD_SPACING

    - #### WHITE_SPACE

          public static final CSS.Attribute WHITE_SPACE

    - #### WIDTH

          public static final CSS.Attribute WIDTH

  - ### Method Detail

    - #### toString

          public String toString()

      The string representation of the attribute. This should exactly match the string specified in the CSS specification.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of the object.

    - #### getDefaultValue

          public String getDefaultValue()

      Fetch the default value for the attribute. If there is no default value (such as for composite attributes), null will be returned.

    - #### isInherited

          public boolean isInherited()

      Indicates if the attribute should be inherited from the parent or not.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.